Create a provider class for the social service
The toolkit social service bug, bug  uses simple provider objects that just wrap manifests. This bug is for creating a real, minimal provider class. It should only be as complex as the planned first-pass "share this" UI button (bug  requires. Gavin thinks that means it will basically encapsulate a frame worker object through which the UI and providers will communicate, but we're not entirely sure yet.

Current implementation in the social add-on:

